aboutsummaryrefslogtreecommitdiff
path: root/vendor/Ltac2/tests/Makefile
diff options
context:
space:
mode:
Diffstat (limited to 'vendor/Ltac2/tests/Makefile')
-rw-r--r--vendor/Ltac2/tests/Makefile16
1 files changed, 16 insertions, 0 deletions
diff --git a/vendor/Ltac2/tests/Makefile b/vendor/Ltac2/tests/Makefile
new file mode 100644
index 0000000000..d85ae90dd6
--- /dev/null
+++ b/vendor/Ltac2/tests/Makefile
@@ -0,0 +1,16 @@
+ifeq "$(COQBIN)" ""
+ COQBIN=$(dir $(shell which coqc))/
+endif
+
+all: $(patsubst %.v,%.v.log,$(wildcard *.v))
+
+%.v.log: %.v
+ $(COQBIN)/coqc -I ../src -Q ../theories Ltac2 $< > $@
+ if [ $$? = 0 ]; then \
+ echo " $<... OK"; \
+ else \
+ echo " $<... FAIL!"; \
+ fi; \
+
+clean:
+ rm -f *.log